#!/bin/bash

if [ $SUDO_USER ]; then
    user=$SUDO_USER
else
    user=$(whoami)
fi


AUDIOBLASTDIR="/home/$user/.audioblast"
if [ ! -d "$AUDIOBLASTDIR" ]; then
  #echo "$AUDIOBLASTDIR does not exist, creating !"
  mkdir -m 777 -p $AUDIOBLASTDIR
fi


INSTALOOPER3DIR="$AUDIOBLASTDIR/InstaLooper3"
if [ ! -d "$INSTALOOPER3DIR" ]; then
  #echo "$INSTALOOPER3DIR does not exist, creating !"
  mkdir -m 777 -p $INSTALOOPER3DIR
fi

COMPANY="Audioblast"
PLUGINNAME="InstaLooper3"
VST3PRESETCOMPANYDIR="$HOME/.vst3/presets/$COMPANY"
if [ ! -d "$VST3PRESETCOMPANYDIR" ]; then
  #echo "$VST3PRESETCOMPANYDIR does not exist, creating !"
  mkdir -m 777 -p $VST3PRESETCOMPANYDIR
fi

VST3PRESETPLUGINDIR="$VST3PRESETCOMPANYDIR/$PLUGINNAME"
if [ ! -d "$VST3PRESETPLUGINDIR" ]; then
  #echo "$VST3PRESETPLUGINDIR does not exist, creating !"
  mkdir -m 777 -p $VST3PRESETPLUGINDIR
fi

cp -r VST3Presets/. $VST3PRESETPLUGINDIR 

exit
