#!/bin/bash
#Audioblast enter USERNAME & SERIAL

if [ $SUDO_USER ]; then
    user=$SUDO_USER
else
    user=$(whoami)
fi


AUDIOBLASTDIR="/home/$user/.audioblast"
if [ ! -d "$AUDIOBLASTDIR" ]; then
  #echo "$AUDIOBLASTDIR does not exist, creating !"
  mkdir -m 777 -p $AUDIOBLASTDIR
fi


INSTALOOPER3DIR="$AUDIOBLASTDIR/InstaLooper3"
if [ ! -d "$INSTALOOPER3DIR" ]; then
  #echo "$INSTALOOPER3DIR does not exist, creating !"
  mkdir -m 777 -p $INSTALOOPER3DIR
fi


CONFIGFILE="$INSTALOOPER3DIR/InstaLooper3.conf"
if [ ! -f "$CONFIGFILE" ]; then
	echo "Please enter you username and serial to unlock InstaLooper3 VST3"
	read -p 'USERNAME : ' uservar
	read -p 'SERIAL : ' serialvar

    	echo "[General]" > $CONFIGFILE
    	echo "UserName=$uservar" >> $CONFIGFILE
    	echo "UserSerial=$serialvar" >> $CONFIGFILE
fi


exit
